Subject: Re: [bug#42481] [PATCH 0/2] Printing a more concise build plan

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 31 Jul 2020 20:18:18 +0200

Hey Ludo,

> Thoughts on this change?
>
> I think it’s a good idea but I’d be happy to hear what people think!

Most of the times, I'm reading the build plan only for one purpose, stop
the command if I'm going to build (too many) things.

Trying to think more like a newcomer (recent DistroTube video helps in that
matter), I feel like information such as grafts and profile hooks are
way too low level.

So this serie looks really fine to me.

Small digression, something that troubles me in the aforementioned video
is that many things were apparently built. I don't know if besides
improving our CI, we could do other things, such as warn with more
insistence if the Guix version is too old?

Thanks,

Mathieu